import java.io.File
import java.sql.*
import java.util.*
import java.text.SimpleDateFormat
import java.math.BigDecimal
import com.prodinf.utile.Utils
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStreamReader;

boolean ok = false

BufferedReader br = null;
int BUFFER = 2048;
File fisSrc = null;

try {
  try{
    fisSrc = new File(context.getCurentFolder().getAbsolutePath() + File.separator + "cor_v9.txt")
  } catch(Exception e){
	//log.error("###### ERR ", e)
    return; // nu exista fisierul
  }

  def SQL_INS = 'INSERT INTO TOTAL.COR_LEGE (ID, TIPCOR, CODCOR, DESCRIERE, VERSIUNE) VALUES (?,?,?,?,?)'
  def SQL_UPD = "UPDATE TOTAL.COR_LEGE SET " +
                " DESCRIERE = ? " +
                "WHERE " +
                " ID = ? "
  def SQL_SRC = "SELECT * FROM TOTAL.COR_LEGE WHERE CODCOR = ? AND VERSIUNE = ?"
  br = new BufferedReader(new InputStreamReader(new FileInputStream(fisSrc), "UTF-8"));
  String line = "";
  while ((line = br.readLine()) != null) {
	//log.error("######## " + line)
    StringTokenizer st = new StringTokenizer(line, "|")
    def tipcor = st.nextToken().trim()
    def codcor = st.nextToken().trim()
    def descriere = st.nextToken().trim()
    def versiune = new BigDecimal(st.nextToken().trim())
    def r = sql.firstRow(SQL_SRC, [codcor, versiune])
    if(r != null){
      def id = r.id
      sql.execute(SQL_UPD, [descriere, id])
    } else {
      def id = context.genereateID("TOTAL","COR_LEGE")
      sql.execute(SQL_INS, [id, tipcor, codcor, descriere, versiune])
    }
  }
  ok = true
} catch(Exception e) {
  //log.error("###### ERR ", e)
} finally {
  if(br != null){
    br.close()
  }
  try{
    if(ok){
      connection.commit()
    }
    connection.rollback()
  } catch(Exception e){
  }
}

