import java.text.SimpleDateFormat
import java.util.*

boolean ok = false

// vers 28 - tratare timp inegal

try { 
	boolean executGroovy = true
	sql.eachRow(" SELECT GUID FROM  TOTAL.LOG_ACTIUNI WHERE GUID = 'STRUCT_HR_REV_CONTR_COR_V9' "){ rw -> 
	  executGroovy = false;
	}
	if(executGroovy){
		sql.eachRow("SELECT * from TOTAL.FIRME") { row ->
			updateOlgAlg(row.id, 'HR_REVISAL_CONTRACT', 'HR_CTR');
			context.insertOrUpdateAlgorithm("HR_REVISAL_CONTRACT.groovyx", "TOTAL", row.id, "HR_REVISAL_CONTRACT", ['DESCRIERE':'ALGORITM CONTRACT'])
		}
		sql.executeUpdate "INSERT INTO TOTAL.LOG_ACTIUNI (DATAEXEC ,GUID ) VALUES (SYSDATE, 'STRUCT_HR_REV_CONTR_COR_V9')"
		ok = true
	}
} catch(Exception e) {
  log.error("####### ERR!! ", e)
} finally {
  try{
    if(ok){
      connection.commit()
    }
    connection.rollback()
  } catch(Exception e){
  }
}

def updateOlgAlg(BigDecimal idFirma, String codActual, String prefixCodNou){
	def SQL_SRC_ALGSC = 'SELECT * FROM TOTAL.ALGSC WHERE ID_FIRMA = ? AND COD = ?'
	def SQL_UPD_ALGSC = 'UPDATE TOTAL.ALGSC SET COD = ? WHERE ID_FIRMA = ? AND ID = ?'
	def r = sql.firstRow(SQL_SRC_ALGSC, [idFirma, codActual])
	if(r != null){
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd")
		def rw = sql.firstRow(SQL_SRC_ALGSC, [idFirma, prefixCodNou + sdf.format(new Date())])// caut sa nu mai fi rulat astazi scriptul; daca l
		if(rw == null){
			sql.execute(SQL_UPD_ALGSC, [prefixCodNou + sdf.format(new Date()), idFirma, r.id])
		}
	}
}